package models_pages

import (
	"bytes"
	"html/template"
	"time"
)

const (
	// Имя соответствующего шаблона
	MainPageTmplName = "main.gohtml"
)

func RenderMainPage(templates *template.Template, version int64) ([]byte, error) {
	var pageData bytes.Buffer

	context := map[string]any{
		"version":            version,
		"renderingTimestamp": time.Now().Unix(),
	}

	if err := templates.ExecuteTemplate(&pageData, MainPageTmplName, context); err != nil {
		return nil, err
	}

	return pageData.Bytes(), nil
}
